HIP(1)

NAME
HIP - CUDA to HIP source translator

DESCRIPTION

    hipify-perl is a tool to translate CUDA source code into portable HIP C++

    USAGE: hipify-perl [OPTIONS] INPUT_FILE

    OPTIONS:

-cuda-kernel-execution-syntax - Keep CUDA kernel launch syntax (default)

-examine - Combines -no-output and -print-stats options

-exclude-dirs=s - Exclude directories

-exclude-files=s - Exclude files

-experimental - HIPIFY experimentally supported APIs

-help - Display available options

-hip-kernel-execution-syntax - Transform CUDA kernel launch syntax to a regular HIP function call (overrides "--cuda-kernel-execution-syntax")

-inplace - Backup the input file in .prehip file, modify the input file inplace

-miopen - Translate cuDNN to MIOpen instead of hipDNN where it is possible

-no-output - Don't write any translated output to stdout

-o=s - Output filename

-print-stats - Print translation statistics

-quiet-warnings - Don't print warnings on unknown CUDA identifiers

-roc - Translate to roc instead of hip where it is possible

-version - The supported HIP version

-whitelist=s - Whitelist of identifiers